﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr257_1
{
    // Класс с обобщенным методом: 
    class MyClass {
        // Закрытое текстовое поле: 
        public string text;
        // Конструктор: 
        public MyClass(string t) { 
            text = t;
        }
        // Обобщенный метод: 
        public void show<X>(X arg) {
            Console.WriteLine(text + ": " + arg);
        }
    }

    // Главный класс:
    class Program
    {
        static void Main()
        {
            // Создание объектов:
            MyClass A = new MyClass("Alpha");
            MyClass B = new MyClass("Bravo");
            // Вызов обобщенного метода:
            A.show(100);
            B.show(200);
            A.show('A');
            B.show<char>('B');
            B.show<int>('B');
            // Задержка:
            Console.ReadLine();
        }
    }
}
